<?php
include ('config.php');

function slugify($text)
{
  // replace non letter or digits by -
  $text = preg_replace('~[^\pL\d]+~u', '-', $text);

  // transliterate
  $text = iconv('utf-8', 'us-ascii//TRANSLIT', $text);

  // remove unwanted characters
  $text = preg_replace('~[^-\w]+~', '', $text);

  // trim
  $text = trim($text, '-');

  // remove duplicate -
  $text = preg_replace('~-+~', '-', $text);

  // lowercase
  $text = strtolower($text);

  if (empty($text)) {
    return 'n-a';
  }

  return $text;
}

function timeAgo($timestamp) {
		$time = strtotime($timestamp);
		$diff = time() - $time;

		if ($diff < 60) {
			return $diff . " sec ago";
		} elseif ($diff < 3600) {
			return floor($diff / 60) . " min ago";
		} elseif ($diff < 86400) {
			return floor($diff / 3600) . " hr ago";
		} elseif ($diff < 2592000) {
			return floor($diff / 86400) . " day ago";
		} else {
			return date("F j, Y", $time); // Full date format
		}
	}
	
function fetchAPI($url) {
    $ch = curl_init();
    curl_setopt($ch, CURLOPT_URL, $url);
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
    $response = curl_exec($ch);
    curl_close($ch);
    
    return json_decode($response, true);
}
	
 ?>
<!DOCTYPE html>
<html lang="en-US" prefix="og: http://ogp.me/ns#">
<head style="background-color: #121212;" itemscope itemtype="http://schema.org/WebSite">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Watch Anime Online, Free Anime Streaming Online on <?php echo $Title; ?> Anime Website</title>
<meta name="description" content="<?php echo $Title; ?> is a Free anime streaming website which you can watch English Subbed and Dubbed Anime online with No Account and Daily update. WATCH NOW!" />
<link rel="canonical" href="/" />
<meta property='og:type' content='website' />
<meta property='og:url' content='/' />
<meta property='og:title' content="Watch Anime Online, Free Anime Streaming Online on <?php echo $Title; ?> Anime Website" />
<meta property='og:description' content="<?php echo $Title; ?> is a Free anime streaming website which you can watch English Subbed and Dubbed Anime online with No Account and Daily update. WATCH NOW!" />
<meta http-equiv='Content-Type' content='text/html; charset=UTF-8'>
<link rel='shortcut icon' href='/favicon.ico?v=<?php echo $v; ?>' type='image/x-icon'>
<link rel='icon' href='/favicon.ico' type='image/x-icon'>
<meta property='og:image' content='/img/logo.png?v=<?php echo $v; ?>' />
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="msapplication-TileColor" content="#201f1f" />
<meta name="theme-color" content="#201f1f" />
<link rel="stylesheet" href="/css/style.css?v=<?php echo $v; ?>">
<link href="https://fonts.googleapis.com/css?family=Cabin:400,400i,500,500i,600,600i,700,700i&display=swap" rel="stylesheet" />
<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.9.0/css/all.css" integrity="sha384-i1LQnF23gykqWXg6jxC2ZbCbUMxyw5gLZY6UiUS98LYV5unm8GWmfkIS6jqJfb4E" crossorigin="anonymous" />
<script src="/js/jquery-1.12.4.min.js?v=<?php echo $v; ?>"></script>
<script src="/js/script-js.js?v=<?php echo $v; ?>"></script>
<?php echo $GoogleAnalytics; ?>
</head>
<body>

<div class="main-container">
<header id="hd" class="hd" itemscope="" itemtype="http://schema.org/WPHeader">
<div class="cent">
<button type="button" class="bta btaa">
<i>
</i>
</button>
<figure class="logo fg1">
<div itemscope="itemscope" itemtype="http://schema.org/Brand" class="d-flex">
<a itemprop="url" href="/">
<img itemprop="logo" src="/img/logo.png?v=<?php echo $v; ?>" title="<?php echo $Title; ?> - Stream Anime Sub or Dub in High Quality up to 1080p" alt="<?php echo $Title; ?> - Stream Anime Sub or Dub in High Quality up to 1080p">
</a>
<div class="menu-header-alt cny">
<?php include('menu.php'); ?>
</nav>
</div>
</header>
<main class="main-content">
<div class="bod"></div>

<article class="rand animate-me">
    <div class="erc-hero-card" id="random">
        <div class="erc-hero-card-background-overlay bottom-angled">
            <span class="background-gradient"></span>
            <img class="background-image" src="/cover/one-piece.png" alt="Background image">
        </div>
        <div class="foreground">
            <div class="main-image-wrapper-link">
                <div class="main-image-wrapper">
                    <img class="c-content-image" src="https://cdn.okarun.ws/images/anime/One-piece.jpg" alt="animetitle">
                </div>
            </div>
            <section class="info">
                <a class="title-link" href="/anime/one-piece">
                    <h3 class="title">One Piece</h3>
                </a>
                <div class="additional-information">
                    <div class="c-meta-tags media-tag-group">
                        <span class="c-meta-tags__type">Synonyms</span>
                        <span class="c-meta-tags__language">
                            <span>PG-13 - Teens 13 or older</span>
                        </span>
                    </div>
                </div>
                <p class="description">
                    One Piece is a story about  Monkey D. Luffy, who wants to become a sea-robber. In a world mystical, there have a mystical fruit whom eat will have a special power but also have greatest weakness. Monkey ate Gum-Gum Fruit which gave him a strange power but he can NEVER swim. And this weakness made his dream become a sea – robber to find ultimate treasure is difficult. One Piece is a story about  Monkey D. Luffy, who wants to become a sea-robber. In a world mystical, there have a mystical fruit whom eat will have a special power but also have greatest weakness. Monkey ate Gum-Gum Fruit which gave him a strange power but he can NEVER swim. And this weakness made his dream become a sea – robber to find ultimate treasure is difficult. But along his ways, he meet himself many members to help. Together, they sail the Seven Seas of adventure in search of the elusive treasure “One Piece.”
                </p>
            </section>
        </div>
    </div>
</article>

<div class="costr foregrounda">
<span class="name">Latest Release
</span>
<span class="line">
</span>
</div>
<div class="episode cont contio">

    <?php 
	
	$api_latest_update = "$apiBase/api/latestupdate/1?api_key=$apiKey";
	$data_latest_update = fetchAPI($api_latest_update);

	

	function generateLatestList($data) {
		if (!isset($data['results']) || empty($data['results'])) {
			echo "<div class='notfound-alert'><div class='notfound-text'><i class='fa-solid fa-circle-info'></i> Show & Episodes Not Found.</div></div>";
			return;
		}

		// Limit to 18 results
		$limitedResults = array_slice($data['results'], 0, 18);

		foreach ($limitedResults as $anime) {
			$time_ago = timeAgo($anime['updatedate']);
			$animeid = htmlspecialchars($anime['animeid']);
			$title = htmlspecialchars($anime['title']);
			$image = htmlspecialchars("https://cdn.okarun.ws/{$anime['image']}");
			$type = htmlspecialchars($anime['type']);
			$japaneseTitle = htmlspecialchars($anime['titlejp']);
			$episodes_count = htmlspecialchars($anime['episodes_count']);
			$titleToDisplay = empty($japaneseTitle) ? $title : $japaneseTitle;

			echo "<div class='list' itemscope='itemscope' itemtype='http://schema.org/CreativeWork'>
					<div class='itema'>
						<a class='link' href='/watch/{$animeid}-episode-{$episodes_count}' title='{$title}'>
							<img class='wid' src='{$image}' alt='{$title}'>
						</a>
						<p class='ani-name'>{$titleToDisplay}</p>
						<span class='badge'>{$type}</span>
						<p class='ani-time'>{$time_ago}</p>
					</div>
					<a class='linka' href='/watch/{$animeid}-episode-{$episodes_count}'>
						<span class='anio'>EP {$episodes_count}</span>
					</a>
					<div class='time'>
						<time datetime=''>{$title}</time>
					</div>
				  </div>";
		}
	}

	// Call the function to generate the list
	generateLatestList($data_latest_update);
	?>

</div>


<div class="flex items-center ml-auto text-4xl pagination-nav"><div class="show"><a class="morean" href="/latest-update">
<div class="more">Show More</div>
</a></div>
	<section class="section certre">
		<div class="amx">
			<h1><strong>Watch subbed &amp; dubbed episodes at <?php echo $Title; ?> </strong></h1>
				<p>If you’re looking for the latest Anime videos of various genres,<?php echo $Title; ?> is exactly what you need. Here you will find a great collection of Anime videos to watch without ads. Browse our catalog to find the most exciting and popular anime. We have both old-school videos for real admirers and the latest Anime episodes for those who would like to stay up to date. We stream thousands of Anime videos in HD quality that you can watch on your PC, tablet, and mobile phone. With <?php echo $Title; ?>, you can watch the newest Anime series and follow your favorite characters. Here, you can find Anime that focuses on the physical aspect of love as well as romance. We strive to provide the best experience to all user, that is why you can always watch english dubbed or english subbed episodes if you do not know Japanese.</p><h2>Stream episodes online with no ads</h2><p><?php echo $Title; ?> is a non-profit organization that provides you a free anime streaming platform with little to no Ads for better viewing experience and we're trying hard to create a community that doesn't have to survive on ads, but rather on donations from fans like you.</p><h2>Watch subbed/dubbed Anime online and join the community</h2><p>Our website is not just a great platform to watch your favorite Anime videos in high resolution; it’s also a place to discuss anime cartoons and find new friends. Join our Discord community and become a part of it.</p>
		</div>
	</section>
	<div class="costr foregrounda">
<span class="name">Recently Update
</span>
<span class="line">
</span>
</div>
<div class="episode cont contio">

    <?php 
	$api_latest_update = "$apiBase/api/popular/1?api_key=$apiKey";
	$data_latest_update = fetchAPI($api_latest_update);

	

	function generatePopularList($data) {
		if (!isset($data['results']) || empty($data['results'])) {
			echo "<div class='notfound-alert'><div class='notfound-text'><i class='fa-solid fa-circle-info'></i> Show & Episodes Not Found.</div></div>";
			return;
		}

		// Limit to 18 results
			$limitedResults = array_slice($data['results'], 0, 18);

			foreach ($limitedResults as $anime) {
				$time_ago = timeAgo($anime['updatedate']);
				$animeid = htmlspecialchars($anime['animeid']);
				$title = htmlspecialchars($anime['title']);
				$image = htmlspecialchars("https://cdn.okarun.ws/{$anime['image']}");
				$type = htmlspecialchars($anime['type']);
				$japaneseTitle = htmlspecialchars($anime['titlejp']);
				$episodes_count = htmlspecialchars($anime['episodes_count']);
				$titleToDisplay = empty($japaneseTitle) ? $title : $japaneseTitle;

			echo "<div class='list' itemscope='itemscope' itemtype='http://schema.org/CreativeWork'>
					<div class='itema'>
						<a class='link' href='/anime/{$animeid}' title='{$title}'>
							<img class='wid' src='{$image}' alt='{$title}'>
						</a>
						<p class='ani-name'>{$titleToDisplay}</p>
						<span class='badge'>{$type}</span>
						<p class='ani-time'>{$time_ago}</p>
					</div>
					<a class='linka' href='/watch/{$animeid}-episode-{$episodes_count}'>
						<span class='anio'>EP {$episodes_count}</span>
					</a>
					<div class='time'>
						<time datetime=''>{$title}</time>
					</div>
				  </div>";
		}
	}

	// Call the function to generate the list
	generatePopularList($data_latest_update);
	?>

</div>

<div class="flex items-center ml-auto text-4xl pagination-nav"><div class="show"><a class="morean" href="/popular">
<div class="more">Show More</div>
</a></div>
</div>
<div class="clear"></div>
<div class="info-r" data-cfapps-welcome-bar-adjusted-fixed-element-original-top="519.375" style="top: 58px;">
<div class="costr foregrounda">
<span class="name">Chinese Anime
</span>
<span class="line">
</span>
</div>
<div class="episode cont contio">
<?php 
	$api_latest_update = "$apiBase/api/chinese/1?api_key=$apiKey";
	$data_latest_update = fetchAPI($api_latest_update);

	

	function generateChinesetList($data) {
		if (!isset($data['results']) || empty($data['results'])) {
			echo "<div class='notfound-alert'><div class='notfound-text'><i class='fa-solid fa-circle-info'></i> Show & Episodes Not Found.</div></div>";
			return;
		}

		// Limit to 18 results
		$limitedResults = array_slice($data['results'], 0, 18);

		foreach ($limitedResults as $anime) {
			$time_ago = timeAgo($anime['updatedate']);
			$animeid = htmlspecialchars($anime['animeid']);
			$title = htmlspecialchars($anime['title']);
			$image = htmlspecialchars("https://cdn.okarun.ws/{$anime['image']}");
			$type = htmlspecialchars($anime['type']);
			$japaneseTitle = htmlspecialchars($anime['titlejp']);
			$episodes_count = htmlspecialchars($anime['episodes_count']);
			?>
<div class="list" itemscope="itemscope" itemtype="http://schema.org/CreativeWork">
<div class="itema">
<a class="link" href="/anime/<?php echo $animeid; ?>">
<img class="wid" src="<?php echo $image; ?>" itemprop="image" alt="<?php echo htmlspecialchars($title); ?>">
</a>
<p class="ani-name"><?php echo htmlspecialchars($title); ?>
</p>
<span class="badge"><?php echo $type; ?>
</span>

</div>
<a class="linka" href="<?php echo $animeid; ?>">
<span class="anio">
</span>
</a>
</div>
<?php 
	}
	}

	// Call the function to generate the list
	generateChinesetList($data_latest_update);
	?>
</div>
<div class="flex items-center ml-auto text-4xl pagination-nav"><div class="show"><a class="morean" href="/chinese">
<div class="more">Show More</div>
</a></div></div>
</main>
<footer class="ft">
<div class="cont">
<nav>
<?php include('footurl.php'); ?>
<p class="copy tac">Copyright © <?php echo $Title; ?>. All Rights Reserved
</p>
</nav>
</div>
</footer>
</div>