<?php
include('config.php');






function slugify($text)
{
  // replace non letter or digits by -
  $text = preg_replace('~[^\pL\d]+~u', '-', $text);

  // transliterate
  $text = iconv('utf-8', 'us-ascii//TRANSLIT', $text);

  // remove unwanted characters
  $text = preg_replace('~[^-\w]+~', '', $text);

  // trim
  $text = trim($text, '-');

  // remove duplicate -
  $text = preg_replace('~-+~', '-', $text);

  // lowercase
  $text = strtolower($text);

  if (empty($text)) {
    return 'n-a';
  }

  return $text;
}
 ?>
<!DOCTYPE html>
<html lang="en-US" prefix="og: http://ogp.me/ns#">
<head style="background-color: #121212;" itemscope itemtype="http://schema.org/WebSite">
<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
<title>Anime Movie on <?php echo $Title; ?></title>
<meta name="description" content="Boku No Pico, One Piece, Black Clover, Dr.Stone and much more similar dubbed anime series" />
<link rel="canonical" href="/latest-update" />
<meta property='og:type' content='website' />
<meta property='og:url' content='/latest-update' />
<meta property='og:title' content="Browse Anime Movie Anime on <?php echo $Title; ?>" />
<meta property='og:description' content="Boku No Pico, One Piece, Black Clover, Dr.Stone and much more similar dubbed anime series" />
<meta http-equiv='Content-Type' content='text/html; charset=UTF-8'>
<link rel='shortcut icon' href='/favicon.ico?v=<?php echo $v; ?>' type='image/x-icon'>
<link rel='icon' href='/favicon.ico?v=<?php echo $v; ?>' type='image/x-icon'>
<meta property='og:image' content='/img/logo.png?v=<?php echo $v; ?>' />
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="msapplication-TileColor" content="#201f1f" />
<meta name="theme-color" content="#201f1f" />
<link rel="stylesheet" href="/css/style.css?v=<?php echo $v; ?>">
<link href="https://fonts.googleapis.com/css?family=Cabin:400,400i,500,500i,600,600i,700,700i&display=swap" rel="stylesheet" />
<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.9.0/css/all.css" integrity="sha384-i1LQnF23gykqWXg6jxC2ZbCbUMxyw5gLZY6UiUS98LYV5unm8GWmfkIS6jqJfb4E" crossorigin="anonymous" />
<script src="/js/jquery-1.12.4.min.js?v=<?php echo $v; ?>"></script>
<script src="/js/script-js.js?v=<?php echo $v; ?>"></script>
<?php echo $GoogleAnalytics; ?>

</head>
<body>

<div class="main-container">
<header id="hd" class="hd" itemscope="" itemtype="http://schema.org/WPHeader">
<div class="cent">
<button type="button" class="bta btaa">
<i>
</i>
</button>
<figure class="logo fg1">
<div itemscope="itemscope" itemtype="http://schema.org/Brand" class="d-flex">
<a itemprop="url" href="/">
<img itemprop="logo" src="/img/logo.png?v=<?php echo $v; ?>" title="<?php echo $Title; ?> - Stream Anime Sub or Dub in High Quality up to 1080p" alt="<?php echo $Title; ?> - Stream Anime Sub or Dub in High Quality up to 1080p">
</a>
<div class="menu-header-alt cny">
<?php include('menu.php'); ?>
</nav>
</div>
</header>
<div class="cont contio">
<div class="popular">
    <br>
    <div class="anime">
        <?php
				function fetchAPI($url) {
					$ch = curl_init();
					curl_setopt($ch, CURLOPT_URL, $url);
					curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
					curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);

					$response = curl_exec($ch);
					curl_close($ch);

					return json_decode($response, true);
				}

				function timeAgo($timestamp) {
						$time = strtotime($timestamp);
						$diff = time() - $time;

						if ($diff < 60) {
							return $diff . " sec ago";
						} elseif ($diff < 3600) {
							return floor($diff / 60) . " min ago";
						} elseif ($diff < 86400) {
							return floor($diff / 3600) . " hr ago";
						} elseif ($diff < 2592000) {
							return floor($diff / 86400) . " day ago";
						} else {
							return date("F j, Y", $time); // Full date format
						}
					}

				function generateAnimeList($data) {
					if (!isset($data['results']) || empty($data['results'])) {
						echo "<div class='notfound-alert'><div class='notfound-text'><i class='fa-solid fa-circle-info'></i> Show & Episodes Not Found.</div></div>";
						return;
					}

					// Limit to 20 results
					$limitedResults = array_slice($data['results'], 0, 20);

					foreach ($limitedResults as $anime) {
						$time_ago = timeAgo($anime['updatedate']);
						$animeid = htmlspecialchars($anime['animeid']);
						$title = htmlspecialchars($anime['title']);
						$image = htmlspecialchars("https://cdn.okarun.ws{$anime['image']}");
						$type = htmlspecialchars($anime['type']);
						$japaneseTitle = htmlspecialchars($anime['titlejp']);
						$episodes_count = htmlspecialchars($anime['episodes_count']);
						$titleToDisplay = empty($japaneseTitle) ? $title : $japaneseTitle;

						echo "<div class='list' itemscope='itemscope' itemtype='http://schema.org/CreativeWork'>
								<div class='itema'>
									<a class='link' href='/anime/{$animeid}'>
										<img class='wid' src='{$image}' alt='{$title}'>
									</a>
									<p class='ani-name'>{$titleToDisplay}</p>
									<span class='badge'>{$type}</span>
									<p class='ani-time'>{$time_ago}</p>
								</div>
								<a class='linka' href='/anime/{$animeid}'>
									<span class='anio'>EP {$episodes_count}</span>
								</a>
								<div class='time'>
									<time datetime=''>{$title}</time>
								</div>
							  </div>";
					}
				}

				


				// Get current page from URL (default = 1)
				$page = isset($_GET['page']) ? intval($_GET['page']) : 1;

				// Fetch data from API (change API URL to include `$page`)
				$api_latest_update = "$apiBase/api/movie/{$page}?api_key=$apiKey";
				$data_latest_update = fetchAPI($api_latest_update);

				// Pagination settings
				$total_pages = $data_latest_update['total_pages'] ?? 760; // Change based on API response
				$prev_page = max(1, $page - 1);
				$next_page = min($total_pages, $page + 1);
				?>

       	
        
				<?php generateAnimeList($data_latest_update, 'rad'); ?>
        
    </div>
       
    </div>

    <div class="flex items-center ml-auto text-4xl pagination-nav">
        <div class="show">
            <nav>
                <div class="pagination">
    <nav>
        <?php
            $wrap = "<ul class='pagination'>";
            $current_page = isset($_GET['page']) ? (int)$_GET['page'] : 1;
            $total_pages = isset($total_pages) ? (int)$total_pages : 1;
            $next_page = $current_page + 1;
            $prev_page = $current_page - 1;

            // First Page
            if ($current_page > 1) {
                $wrap .= "<li class='page-item'><a class='page-link' href='?page=1'>First</a></li>";
            }

            // Previous Page
            if ($current_page > 1) {
                $wrap .= "<li class='page-item'><a class='page-link' href='?page=$prev_page'>&lsaquo;</a></li>";
            }

            // Show first few pages if far from the start
            if ($current_page > 3) {
                $wrap .= "<li class='page-item'><a class='page-link' href='?page=1'>1</a></li>";
                $wrap .= "<li class='page-item'><a class='page-link' href='?page=2'>2</a></li>";
                $wrap .= "<li class='page-item disabled'><span class='page-link'>...</span></li>";
            }

            // Display up to 5 pages around the current page
            for ($i = max(1, $current_page - 1); $i <= min($total_pages, $current_page + 4); $i++) {
                $active = ($i == $current_page) ? "active" : "";
                $wrap .= "<li class='page-item $active'><a class='page-link' href='?page=$i'>$i</a></li>";
            }

            // Show last few pages if far from the end
            if ($current_page < $total_pages - 2) {
                $wrap .= "<li class='page-item disabled'><span class='page-link'>...</span></li>";
                $wrap .= "<li class='page-item'><a class='page-link' href='?page=" . ($total_pages - 1) . "'>" . ($total_pages - 1) . "</a></li>";
                $wrap .= "<li class='page-item'><a class='page-link' href='?page=$total_pages'>$total_pages</a></li>";
            }

            // Next Page
            if ($current_page < $total_pages) {
                $wrap .= "<li class='page-item'><a class='page-link' href='?page=$next_page'>&rsaquo;</a></li>";
            }

            // Last Page
            if ($current_page < $total_pages) {
                $wrap .= "<li class='page-item'><a class='page-link' href='?page=$total_pages'>Last</a></li>";
            }

            echo $wrap . "</ul>";
        ?>
    </nav>
</div>

            </nav>
        </div>
    </div>
</div>
<footer class="ft">
<div class="cont">
<nav>
<?php include('footurl.php'); ?>
<p class="copy tac">Copyright © <?php echo $Title; ?>. All Rights Reserved
</p>
</nav>
</div>
</footer>
</div>
</body>
</html>