<?php
include('config.php');
header("Content-Type: application/xml");

$mydomain = "https://" . $_SERVER['HTTP_HOST'];
$api_url = "$apiBase/api/latestupdate/1?api_key=$apiKey";

// Static pages
$static_pages = [
    "/lists",
    "/movie",
    "/popular",
    "/ongoing",
    "/chinese"
];

// Genre pages
$genres = [
    "action", "adventure", "comedy", "drama", "fantasy", "horror", "isekai", 
    "magic", "mecha", "mystery", "psychological", "romance", "school", 
    "science-fiction", "shoujo", "shounen", "slice-of-life", "sports", 
    "supernatural", "thriller"
];

// Fetch JSON data
$response = file_get_contents($api_url);
$data = json_decode($response, true);

// Start XML structure
echo '<?xml version="1.0" encoding="UTF-8"?>';
echo '<urlset xmlns="http://www.sitemaps.org/schemas/sitemap/0.9">';

// Add static pages
foreach ($static_pages as $page) {
    echo "<url>";
    echo "<loc>$mydomain$page</loc>";
    echo "<changefreq>weekly</changefreq>";
    echo "<priority>0.7</priority>";
    echo "</url>";
}

// Add genre pages
foreach ($genres as $genre) {
    echo "<url>";
    echo "<loc>$mydomain/genre/$genre</loc>";
    echo "<changefreq>weekly</changefreq>";
    echo "<priority>0.6</priority>";
    echo "</url>";
}

// Add anime pages from API
if (!empty($data['results'])) {
    foreach ($data['results'] as $anime) {
        $animeid = htmlspecialchars($anime['animeid']); // Ensure safe XML output
        echo "<url>";
        echo "<loc>$mydomain/anime/$animeid</loc>";
        echo "<changefreq>daily</changefreq>";
        echo "<priority>0.8</priority>";
        echo "</url>";
    }
}

echo '</urlset>';
?>
